.shadow-1 {
  box-shadow: 2px 2px 2px #0a3a65;
}
.shadow-2 {
  box-shadow: 4px 4px 16px #434d56;
}
.shadow-3 {
  box-shadow: 5px 5px 15px 5px rgba(0, 0, 0, 0);
}
.shadow-4 {
  box-shadow: 0 24px 28px -12px black;
}
.shadow-5 {
  box-shadow: rgba(0, 0, 0, 0.15) 0 0 5px;
}
.shadow-6 {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px 2px, rgba(0, 0, 0, 0.3) 10px 10px 3px 2px;
}
.text-shadow-1 {
  text-shadow: 2px 2px 2px #484848bf;
}
/*
 * Header
 */
#qws-header {
  align-items: center !important;
}
/*
 * Menu
 */
#qws-menu {
  margin-right: 30px !important;
}
/*
 * Body
 */
body {
  position: relative;
  min-height: 100vh;
}
#qws-body-section {
  padding-top: 20px;
}
#qws-body-content {
  gap: 25px;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-direction: column;
}
#profile-title {
  text-align: left;
  font-size: 2em;
  color: #A97D4F;
}
#profile-body-section {
  display: flex;
  flex-direction: row;
  gap: 20px;
}
/* Select section */
#profile-select-section {
  min-width: 200px;
  display: flex;
  flex-direction: column;
  gap: 5px;
  height: min-content;
  margin-top: 66px;
}
.profile-select-item {
  padding: 10px;
  background-color: #eeeeee;
  color: black;
  cursor: pointer;
}
.profile-select-item-inactive {
  color: #1a1a1a;
}
#profile-logout-text {
  display: initial;
}
#profile-logout-icon {
  display: none;
}
/* Body content */
#qws-body-content {
  flex-grow: 1;
}
.profile-data-section {
  width: 100%;
  padding: 10px;
  display: flex;
  flex-direction: column;
  gap: 10px;
  color: black;
}
.profile-data-section-title {
  font-size: 1.8em;
  color: black;
  font-weight: bold;
}
/* Orders */
.order-list {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.order-year-section {
  display: flex;
  flex-direction: column;
  gap: 50px;
}
.order-year-label-block {
  padding: 10px 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #A97D4F;
  font-size: 2em;
  cursor: pointer;
}
.order-year-block {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.order-month-section {
  display: flex;
  flex-direction: column;
  gap: 20px;
}
.order-month-label-block {
  padding: 10px 0;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  background-color: #ccb092;
  font-size: 1.4em;
  cursor: pointer;
}
.order-month-block {
  display: flex;
  flex-direction: row;
  gap: 50px;
  flex-wrap: wrap;
}
.order-block {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.order-content {
  position: relative;
  padding: 10px;
  display: flex;
  flex-direction: column;
  gap: 40px;
  color: black;
  background-color: #fdfdfd;
  box-shadow: 0 0 5px #00000025;
}
.order-body {
  width: 300px;
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.order-body-row {
  display: flex;
  flex-direction: row;
  gap: 10px;
  justify-content: space-between;
}
.order-number {
  border-bottom-style: solid;
  border-bottom-width: 1px;
  border-bottom-color: #A97D4F;
}
.order-total-block {
  display: flex;
  flex-direction: row;
  gap: 5px;
}
.order-detail-row {
  position: relative;
  display: block;
  padding: 14px 0 0 0;
}
.order-toggle-detail {
  position: relative;
  z-index: 10;
  text-decoration: underline;
  padding: 10px 0;
  background-color: white;
}
.order-control {
  display: flex;
  flex-direction: column;
  gap: 30px;
}
.order-download-block {
  display: flex;
  flex-direction: column;
  gap: 20px;
  align-items: center;
  font-size: 0.9em;
}
.order-download-offer {
  color: #A97D4F;
}
.order-download-order {
  color: #A97D4F;
}
.order-download-invoice {
  padding: 12px 20px;
  text-align: center;
  cursor: pointer;
  font-size: 1em;
  background-color: #A97D4F;
  color: #fdfdfd;
  border-radius: 6px;
  box-sizing: border-box;
}
.order-show-detail {
  cursor: pointer;
  text-decoration: underline;
}
.order-detail-block {
  position: absolute;
  top: 0;
  left: 0;
  bottom: 0;
  right: 0;
  padding: 15px;
  display: flex;
  flex-direction: column;
  gap: 25px;
  font-size: 0.9em;
  background: white;
  overflow: auto;
  scrollbar-width: thin;
  border-radius: 5px;
}
.order-detail-close {
  position: absolute;
  right: 4px;
  top: 4px;
  background-color: #ccb092;
  border-radius: 4px;
  cursor: pointer;
}
.order-detail-close::before {
  padding: 4px;
  content: "\2715";
}
.order-detail-content {
  display: flex;
  flex-direction: column;
  gap: 2px;
}
.order-detail-item-code-label,
.order-detail-item-name-label {
  display: none;
}
.order-detail-item-row-quantity {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}
.order-again-block {
  display: none;
}
/* User */
#qws-user-block {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  gap: 20px;
}
#qws-user-control {
  display: flex;
  flex-direction: row;
  gap: 10px;
}
.qws-user-button {
  padding: 5px 10px;
  color: #A97D4F;
  background-color: #fdfdfd;
  border-radius: 2px;
  text-align: center;
  cursor: pointer;
}
.qws-user-button:hover {
  background-color: #eeeeee;
}
/*
 * Footer
 */
#qws-footer-section {
  position: absolute;
  bottom: 0;
  width: 100%;
  box-sizing: border-box;
}
/*
 * Responsive
 */
@media only screen and (max-width: 800px) {
  #profile-body-section {
    flex-direction: column;
  }
  #profile-select-section {
    flex-direction: row;
    border-style: none solid;
    flex-grow: 1;
  }
  .profile-select-item {
    flex-grow: 1;
  }
  #profile-logout-text {
    display: none;
  }
  #profile-logout-icon {
    display: initial;
  }
  #profile-select-section {
    margin-top: 0;
  }
  #profile-body-section {
    margin-bottom: 250px;
  }
}
@media only screen and (max-width: 480px) {
  .dpm-block {
    width: 100%;
  }
  .order-block {
    width: 100%;
  }
}
